part of easy_church_json;

///A single church
///
///Created from JSON
class SingleChurch {
  String id;
  String name;
  String bio;
  String profilePic;
  String elderId;
  String createdAt;
  String updatedAt;
  List<String> members;

  SingleChurch({
    this.id,
    this.name,
    this.bio,
    this.profilePic,
    this.elderId,
    this.createdAt,
    this.updatedAt,
    this.members,
  });

  factory SingleChurch.fromJson(Map<String, dynamic> json) {
    return SingleChurch(
        id: json['_id'],
        name: json['name'],
        bio: json['bio'],
        profilePic: json['profilePic'],
        elderId: json['elderId'],
        members: getMembers(json['members']),
        createdAt: json['createdAt'],
        updatedAt: json['updatedAt']);
  }

  static List<String> getMembers(List<dynamic> json) {
    List<String> list = <String>[];

    if (json.length > 0) {
      json.forEach((map) => {list.add(map['userIMEI'].toString())});
    }

    return list;
  }
}
